# $Revision: 1.22 $, $Date: 2002/07/26 23:38:43 $
#
# Conditional build:
# _with_license_agreement - with unzipped ROM files instead of xf25.zip
# _without_svgalib	  - without SVGA version
#
Summary:	Atari 800 Emulator
Summary(pl):	Emulator Atari 800
Name:		Atari800
Version:	1.2.3
Release:	1
License:	GPL (Atari800), distributable if unmodified (xf25 with ROMs)
Group:		Applications/Emulators
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/atari800/atari800-%{version}.tar.gz
# NOTE: ROMs probably can be redistributed only in original XF25 archive
Source1:	http://joy.sophics.cz/www/xf25.zip
Source2:	%{name}-chooser
URL:		http://atari800.atari.org/
BuildRequires:	unzip
%ifarch %{ix86} ppc
%{!?_without_svgalib:BuildRequires:	svgalib-devel}
%endif
BuildRequires:	XFree86-devel
BuildRequires:	zlib-devel
BuildRequires:	SDL-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xbindir	%{_prefix}/X11R6/bin

%description
This is Atari 800, 800XL, 130XE and 5200 emulator.

%description -l pl
To jest emulator Atari 800, 800XL, 130XE i 5200.

%package common
Summary:	Atari 800 Emulator - common files for svgalib and X11 versions
Summary(pl):	Emulator Atari 800 - pliki wsplne dla wersji svgalib oraz X11
Group:		Applications/Emulators
Obsoletes:	Atari800
%{!?_with_license_agreement:Prereq:	unzip}

%description common
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains common files for both svgalib and X11 versions
of Atari800.

%{!?_with_license_agreement:Note: because of license problems we had to include whole X-Former}
%{!?_with_license_agreement:archive (xf25.zip). If you don't want it - rebuild Atari800 by:}
%{!?_with_license_agreement:rpm --rebuild --with license_agreement ftp://ftp.pld.org.pl/PLD-1.0/SRPMS/SRPMS/%{name}-%{version}-%{release}.src.rpm}

%description common -l pl
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera pliki wsplne dla wersji dziaajcych pod svgalib
oraz X11.

%{!?_with_license_agreement:Uwaga: z powodu problemw z licencj musielimy zaczy ca paczk}
%{!?_with_license_agreement:z emulatorem X-Former (xf25.zip). Jeli jej nie chcesz w pakiecie -}
%{!?_with_license_agreement:przebuduj pakiet poleceniem:}
%{!?_with_license_agreement:rpm --rebuild --with license_agreement ftp://ftp.pld.org.pl/PLD-1.0/SRPMS/SRPMS/%{name}-%{version}-%{release}.src.rpm}

%package svga
Summary:	Atari 800 Emulator - svgalib version
Summary(pl):	Emulator Atari 800 - wersja pod svgalib
License:	GPL
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}

%description svga
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains Atari800 executable file configured for svgalib
with sound and joystick support.

%description svga -l pl
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera wykonywalny plik emulatora skonfigurowany dla
svgalib z obsug dwiku i joysticka.

%package x11
Summary:	Atari 800 Emulator - X Window version
Summary(pl):	Emulator Atari 800 - wersja pod X Window
License:	GPL
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}

%description x11
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains Atari800 executable file configured for X11 with
sound and joystick support.

%description x11 -l pl
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera wykonywalny plik emulatora skonfigurowany dla X11 z
obsug dwiku i joysticka.

%package SDL
Summary:	Atari 800 Emulator - SDL version
Summary(pl):	Emulator Atari 800 - wersja pod SDL
License:	GPL
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}

%description SDL
This is Atari 800, 800XL, 130XE and 5200 emulator.

This package contains Atari800 executable file configured for SDL with
sound and joystick support.

%description SDL -l pl
To jest emulator Atari 800, 800XL, 130XE i 5200.

Ten pakiet zawiera wykonywalny plik emulatora skonfigurowany dla SDL z
obsug dwiku i joysticka.

%prep
%setup -q -n atari800-%{version}

%build
cd src

%if %{?_without_svgalib:0}%{!?_without_svgalib:1}
%ifarch %{ix86} ppc

%configure2_13 --target=svgalib \
	--disable-VERY_SLOW \
	--enable-NO_CYCLE_EXACT \
	--enable-CRASH_MENU \
	--enable-MONITOR_BREAK \
	--enable-MONITOR_HINTS \
	--enable-MONITOR_ASSEMBLER \
	--enable-COMPILED_PALETTE \
	--enable-SNAILMETER \
	--disable-SVGA_SPEEDUP \
	--enable-USE_CURSORBLOCK \
	--disable-JOYMOUSE \
	--enable-LINUX_JOYSTICK \
	--enable-SOUND \
	--enable-NO_VOL_ONLY \
	--enable-NO_CONSOL_SOUND \
	--disable-SERIO_SOUND \
	--enable-NOSNDINTER \
	--disable-CLIP \
	--disable-STEREO \
	--disable-BUFFERED_LOG \
	--enable-SET_LED \
	--enable-NO_LED_ON_SCREEN

%{__make} \
	CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}" \
	LDFLAGS="%{rpmldflags}"
mv -f atari800 atari800-svga

%{__make} clean
%endif
%endif

%configure2_13 --target=sdl \
	--disable-VERY_SLOW \
	--enable-NO_CYCLE_EXACT \
	--enable-CRASH_MENU \
	--enable-MONITOR_BREAK \
	--enable-MONITOR_HINTS \
	--enable-MONITOR_ASSEMBLER \
	--enable-COMPILED_PALETTE \
	--enable-SNAILMETER \
	--enable-LINUX_JOYSTICK \
	--enable-SOUND \
	--enable-NO_VOL_ONLY \
	--enable-NO_CONSOL_SOUND \
	--disable-SERIO_SOUND \
	--enable-NOSNDINTER \
	--disable-CLIP \
	--disable-STEREO \
	--disable-BUFFERED_LOG \
	--enable-SET_LED \
	--enable-NO_LED_ON_SCREEN
	
%{__make} \
	CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer} -I/usr/X11R6/include/SDL" \
	LDFLAGS="%{rpmldflags} -L/usr/X11R6/lib"
mv -f atari800 atari800-SDL

%{__make} clean

%configure2_13 --target=x11-shm \
	--disable-VERY_SLOW \
	--enable-NO_CYCLE_EXACT \
	--enable-CRASH_MENU \
	--enable-MONITOR_BREAK \
	--enable-MONITOR_HINTS \
	--enable-MONITOR_ASSEMBLER \
	--enable-COMPILED_PALETTE \
	--enable-SNAILMETER \
	--enable-LINUX_JOYSTICK \
	--enable-SOUND \
	--enable-NO_VOL_ONLY \
	--enable-NO_CONSOL_SOUND \
	--disable-SERIO_SOUND \
	--enable-NOSNDINTER \
	--disable-CLIP \
	--disable-STEREO

%{__make} \
	CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer} -I/usr/X11R6/include" \
	LDFLAGS="%{rpmldflags} -L/usr/X11R6/lib"
mv -f atari800 atari800-x11

sed s@/usr/local/lib/atari@%{_datadir}/atari800@g atari800.man >atari800.1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_xbindir}} \
	$RPM_BUILD_ROOT{%{_datadir}/atari800,%{_mandir}/man1}

%ifarch %{ix86} ppc
%{!?_without_svgalib:install src/atari800-svga $RPM_BUILD_ROOT%{_bindir}}
%endif
install src/atari800-x11 $RPM_BUILD_ROOT%{_xbindir}
install src/atari800-SDL $RPM_BUILD_ROOT%{_xbindir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/atari800
install src/atari800.1 $RPM_BUILD_ROOT%{_mandir}/man1/atari800.1

%if %{?_with_license_agreement:1}%{!?_with_license_agreement:0}
unzip -q -L %{SOURCE1} -d $RPM_BUILD_ROOT%{_datadir}/atari800
rm -f $RPM_BUILD_ROOT%{_datadir}/atari800/xf25.*
%else
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/atari800
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{?_with_license_agreement:0}%{!?_with_license_agreement:1}
%post common
cd %{_datadir}/atari800
unzip -q -L xf25.zip
%endif

%files common
%defattr(644,root,root,755)
%doc DOC/{BUGS,CHANGES,CREDITS,FAQ,README,TODO,USAGE} README.1ST
%doc DOC/{LPTjoy.txt,cart.txt,emuos.txt,pokeysnd.txt}
%attr(755,root,root) %{_bindir}/atari800
%{_datadir}/atari800
%{_mandir}/man1/atari800.1*

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/atari800-x11

%files SDL
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/atari800-SDL

%ifarch %{ix86} ppc
%if %{?_without_svgalib:0}%{!?_without_svgalib:1}
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/atari800-svga
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: Atari800.spec,v $
Revision 1.22  2002/07/26 23:38:43  qboosh
- updated to 1.2.3, removed outdated patch

Revision 1.21  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.20  2002/04/25 15:49:00  arturs
fixed a small typo

Revision 1.19  2002/04/20 15:09:39  marcus
- enabled svgalib subpackage on PPC
- rel.3.

Revision 1.18  2002/04/12 21:48:37  kloczek
- release 2.

Revision 1.17  2002/04/12 21:39:29  marcus
- fix in %%files

Revision 1.16  2002/04/02 09:41:18  marcus
- fixed %%if/%%ifarch conflict

Revision 1.15  2002/02/22 23:28:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/19 18:45:33  qboosh
- allow building without svgalib, do so on non-x86

Revision 1.13  2002/02/18 21:04:29  ankry
- fixed Source0 URL

Revision 1.12  2002/02/18 19:40:41  filon
- upated to 1.2.2
- joystick patch removed (see NEWS)
- ver_short defined as a macro

Revision 1.11  2002/01/18 02:12:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/12/22 17:05:15  qboosh
- joystick patch (argh, STICK is UBYTE[4], STICK[0xFF] pointed to sth else...)
- release 3

Revision 1.9  2001/12/20 23:44:51  qboosh
- added atari800-SDL support to chooser
- use non-interactive configure style
- release 2 (configure options were not updated!)

Revision 1.8  2001/12/02 23:13:14  ankry
- updated Source0 URL

Revision 1.7  2001/12/02 18:57:46  filon
- updated to 1.2.0
- added SDL version
- modified build system
- added patch for building x11-shm target (they broke it)

Revision 1.6  2001/09/29 20:14:19  qboosh
- added description to base, empty package - it's used in SRPM
- simplified %%prep
- use %%configure2_13 (configure takes an extra parameter - it's not
  compatible with autoconf 2.5x)
- release 2

Revision 1.5  2001/05/23 00:07:50  qboosh
- conditional Requires: unzip changed to Prereq

Revision 1.4  2001/05/22 09:06:00  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.3  2001/05/22 00:51:55  qboosh
- typo in bconds handling

Revision 1.2  2001/05/22 00:25:46  kloczek
- cosmetics.

Revision 1.1  2001/05/22 00:07:56  qboosh
- spec taken from somewhere, rewritten and updated to 1.0.7
- NOTE: ROMs probably can be redistributed only with original X-Former .zip,
  so we include whole archive by default
